<?php
#-------------------------------------------------------------------------------
# Copyright (c) 2009 Gomilsek-informatika.
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the GNU Public License v2.0
# which accompanies this distribution, and is available at
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
# 
# Contributors:
# 	Gomilsek-informatika  (initial API and implementation)
# Contact:
# 	customers@toolsjx.com
#-------------------------------------------------------------------------------
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die();
 
jimport( 'joomla.application.component.view' );

class GridsViewGrid extends JView{
	/**
	 * display method of Hello view
	 * @return void
	 **/
	function display($tpl = null)
	{
	    //get the grid
	    $grid       =& $this->get('Data');
	    $conn       =& $this->get('Conn');
	    $tbList		=& $this->get('TbList');
	    $colList	=& $this->get('ColList');
	    $fields		=& $this->get('Fields');
	    
	    $isNew        = ($grid->idGrid < 1);
	    
		//set layout
	    $typejx=$grid->typejx;
	    
	    $grid_file = JPATH_COMPONENT_ADMINISTRATOR.DS.'views'.DS.'grid'.DS.'tmpl'.DS.'editform.php';
	    $card_file = JPATH_COMPONENT_ADMINISTRATOR.DS.'views'.DS.'grid'.DS.'tmpl'.DS.'card.php';
            $grap_file = JPATH_COMPONENT_ADMINISTRATOR.DS.'views'.DS.'grid'.DS.'tmpl'.DS.'grap.php';
	    
	    if($isNew){
	    	if(file_exists($grid_file)){$this->setLayout('editform');$grid->typejx='grid';}
		    else if(file_exists($card_file)){$this->setLayout('card');$grid->typejx='card';}
        else if(file_exists($grap_file)){$this->setLayout('grap');$grid->typejx='grap';}

                      
	    	
	    }
	    else switch ($typejx){
        
	    	case 'card':{ 
          //echo 'case card';
          if(file_exists($card_file))$this->setLayout('card');
          break;
        }
	    	case 'grid': {
          //echo 'case grid';
          if(file_exists($grid_file))$this->setLayout('editform');
          break;
		    	}
                case 'grap': {
          //echo 'case grap';
          if(file_exists($grap_file))$this->setLayout('grap');
          break;
		    	}
	    }

	    $title="";
	    switch($this->getLayout()){
	    	case 'card': $title='Card';break;
	    	case 'editform': $title='Grid';break;
	    	case 'grap': $title='Graph';break;
	    }	    
	 
	    $text = $isNew ? JText::_( 'New' ) : JText::_( 'Edit' );
	    JToolBarHelper::title(   $title.': <small><small>[ ' . $text.' ]</small></small>' );
	    /*JToolBarHelper::save();
	    if ($isNew)  {
	        JToolBarHelper::cancel();
	    } else {
	        // for existing items the button is renamed `close`
	        JToolBarHelper::cancel( 'cancel', 'Close' );
	    }*/
	    
	    
	 
	    $this->assignRef('grid', $grid);
	    $this->assignRef('conn', $conn);
	    $this->assignRef('tbList', $tbList);
	    $this->assignRef('colList', $colList);
	    $this->assignRef('fields', $fields);
	    parent::display($tpl);
	}

}
?>
