<?php
/**
 * @version     2.5.1
 * @package     com_grid
 * @copyright   Copyright (C) 2013. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Tools JX <customers@toolsjx.com> - http://www.toolsjx.com
 */
defined( '_JEXEC' ) or die( 'Restricted access' );
define( 'DS', DIRECTORY_SEPARATOR );
$rootFolder = explode(DS,dirname(__FILE__));

//current level in diretoty structure
$currentfolderlevel = 3;

array_splice($rootFolder,-$currentfolderlevel);

$base_folder = implode(DS,$rootFolder);


if(is_dir($base_folder.DS.'libraries'.DS.'joomla')) {
	//define( '_JEXEC', 1 );
	//define('JPATH_BASE',implode(DS,$rootFolder));

	require_once ( JPATH_BASE .DS.'includes'.DS.'defines.php' );
	require_once ( JPATH_BASE .DS.'includes'.DS.'framework.php' );
	$userid='';
	$usertype='';
	$mainframe = JFactory::getApplication('site');
	$mainframe->initialise();
	$user = JFactory::getUser();
	$userid = $user->get('id');
	$usertype = $user->get('usertype');
}

//$table			=$_POST["table"];
//$captions		=json_decode(str_replace("\\", "", $_POST["captions"]));
//$moreConfig		=json_decode(str_replace("\\", "", $_POST["moreConfig"]));
//$graphConfig	=json_decode(str_replace("\\", "", $_POST["graphConfig"]));
//$orderBy		=json_decode(str_replace("\\", "", $_POST["orderBy"]));

$o_moreConfig = new stdClass();
foreach ($moreConfig as $key => $value) {
	$o_moreConfig->$key = $value;
}

$o_captions = new stdClass();
foreach ($captions as $key => $value) {
	$o_captions->$key = $value;
}


if($captions==null) {
	echo "!Add columns which you want to show in graph.";
	exit;
}

if($graphConfig==null) {
	echo "!Settings for graph are missing. Set options in \"More settings\" area and save data.";
	exit;
}

if($moreConfig==null) {
	echo "!You must set settings for each data. In table \"Columns\" click \"More ...\" and set settings.";
	exit;
}

$i=0;
$columns=array();
foreach ($captions as $key=>$value)
array_push($columns, $key);	//dodaja zapise v tabelo

foreach ($moreConfig as $key=>$value) {
	$o_moreConfig->$key=explode("|", $value);
	if(count($o_moreConfig->$key)!=4) {
		echo "!For \"".$captions->$key."\" settings are missing.";
		exit;
	}
}


//$colors=json_decode($_POST["colors"]);
//Primer kako morajo biti formirani podatki, da jih prika�e pravilno
//$arr=array(array(array(1,1), array(2,3)), array(3,2)), array(array(1,4), array(2,1)), array(3,2)));
//$db = JFactory::getDBO();
$db->setQuery("SELECT COUNT(*) FROM " . $db->quoteName($table));
$count=$db->loadResult();

$whereCond="";
if($this->_config->whereCond!="") 
	$whereCond=$this->translateWhereCond($this->_config->whereCond);
$orderByStr="";
if($orderBy!=null) 
	$orderByStr=" ORDER BY ".$db->quoteName($orderBy[0])." ".$orderBy[1];
	
$sql="SELECT ".implode(", ", $db->quoteName($columns))." FROM " . $db->quoteName($table) . ($whereCond!=""?" WHERE ".$whereCond:"") . $orderByStr;
/*if($graphConfig->method=="0") {
	$offset = $_POST["step"]%$count;
	$limit = " LIMIT ".$offset . ", " . $graphConfig->sizeData;
	$sql.=$orderByStr . $limit;
	$firstData="";
	//echo $offset-$graphConfig->sizeData;
	if($offset>$count-$graphConfig->sizeData) {
		$db->setQuery($sql);
		$result1=$db->loadObjectList();
		$sql="SELECT ".implode(", ", $columns)." FROM "  . $table . ($whereCond!=""?" WHERE ".$whereCond:""). $orderByStr .
		" LIMIT ".($offset-$count+$graphConfig->sizeData);
		$firstData=$count-$offset;
	}
} else $sql.=$orderByStr;*/
//echo $sql."|";
//print_r($graphConfig->useForX);
$db->setQuery($sql);
if($graphConfig->useForX!="none") {
	$tmp=$columns;
	$xaxis=$graphConfig->useForX;
	unset($columns);
	//V tabeli stoplcev odstranim tistega, ki se uporablja za x os
	$j=0;
	for ($i=0;$i<count($tmp);$i++){
		if($tmp[$i]==$xaxis) continue;
		$columns[$j]=$tmp[$i];
		$j++;
	}
}
$result2=$db->loadObjectList();

if(!isset($result1)) $result=$result2;	
else $result=(object)array_merge((array)$result1, (array)$result2);
if($db->getErrorMsg()!="") echo $db->getErrorMsg()."|";

for ($i=0;$i<count($columns);$i++) {
	unset($tmp);
	$idata=0;
	//Ustrezno pripravim strukturo podatkov
	foreach ($result as $row) {
		if(!is_numeric($row->$columns[$i])) {
			echo "!Data type is not valid in \"".$columns[$i] . "\": " . $row->$columns[$i].". Remove \"".$columns[$i]."\" from columns or mark it as x-axis and save.";
			exit;
		}
		$tmp[$idata]=array($idata, $row->$columns[$i]);
		//če prikazujemo svojo X os -> vzemi $row->$xaxis; Drugače če je "live" graph vzemi ($idata+$offset)%$count (to predstavlja številko podatka), če pa je fiksni graf pa vzemi samo $idata
		//$xticks[$idata]=array($idata, ($graphConfig->useForX!="none" && $graphConfig->useForX!=""?$row->$xaxis:(string)($graphConfig->method=="0"?($idata+$offset)%$count:$idata)));
		$xticks[$idata]=array($idata, ($graphConfig->useForX!="none" && $graphConfig->useForX!=""?$row->$xaxis:(string)$idata));
		//če je 0 mora bit string, druga� ne izpi�e
		$idata++;
	}
	$moreCfg=$o_moreConfig->$columns[$i];
	$podatki[$i]=array("label"=>$o_captions->$columns[$i], "data"=>$tmp, "color"=>"#".$moreCfg[2]);
	if($moreCfg[1]=="1") {
		$podatki[$i]["points"] = array("show"=>"true");
	}
	if($moreCfg[0]=="Line") {
		$podatki[$i]["lines"] = array("show"=>"true", "steps"=>($moreCfg[3]=="1"?true:false));
	}elseif ($moreCfg[0]=="Bar") {
		$podatki[$i]["bars"] = array("show"=>"true", "align"=>"left", "fillColor"=>array("colors"=>array(array("opacity"=>"0.8"),array("opacity"=>"0.8"))));
	}
}

$options=array("xaxis"=>array("ticks"=>$xticks, "labelAngle"=>(int)$graphConfig->gridTicAng, "labelHeight"=>(int)$graphConfig->gridTicHei),
				"grid"=>array("backgroundColor"=>"#".$graphConfig->gridBgC, "show"=>($graphConfig->showGrid=="1"),
					"color"=>"#".$graphConfig->gridTextC, "labelMargin"=>(int)$graphConfig->gridTicMar),
				"legend"=>array("show"=>($graphConfig->showLeg=="1"), "backgroundColor"=>"#".$graphConfig->legBgC,
					"backgroundOpacity"=>$graphConfig->legBgO, "position"=>$graphConfig->legPos, "noColumns"=>$graphConfig->legNoCol)
);
//If mode is dynamic, then must set min and max value for xaxis
if($graphConfig->method=="0") {
	$MinMaxSelect="SELECT MIN(`field`) AS mi, MAX(`field`) AS ma FROM ".$db->quoteName($table);
	$query="SELECT MIN(mi) as min, MAX(ma) as max FROM (";
	foreach ($columns as $col) {
		$query.=str_replace("field", $col, $MinMaxSelect) . " UNION ";
	}
	$query=substr($query, 0, strrpos($query, " UNION ")).") AS MinMax";
	$db->setQuery($query);
	$result=$db->loadObject();
	$options["yaxis"]["min"]=$result->min-($result->max/100);
	$options["yaxis"]["max"]=$result->max+($result->max/100);
}
//echo "!".$result->min. " ". $result->max;
echo json_encode($podatki);
echo "|";
echo json_encode($options);
//echo "|".$sql;
//echo json_encode($arr);


	


?>