<?php
/**
 * @version     2.5.1
 * @package     com_pdjx
 * @copyright   Copyright (C) 2013. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Tools JX <customers@toolsjx.com> - http://www.toolsjx.com
 */

// no direct access
defined('_JEXEC') or die;

JHtml::_('behavior.tooltip');
JHtml::_('jquery.framework');
JHtml::_('behavior.formvalidation');
JHtml::_('behavior.keepalive');
JHtml::_('behavior.multiselect');
JHtml::_('formbehavior.chosen', 'select');
// Import CSS
$document = JFactory::getDocument();
$document->addStyleSheet('components/com_paiddownloadsjx/assets/css/pdjx.css');
?>
<script type="text/javascript">
	Joomla.submitbutton = function(task)
	{
		if (task == 'file.cancel' || document.formvalidator.isValid(document.id('file-form'))) {
			Joomla.submitform(task, document.getElementById('file-form'));
		}
		else {
			alert('<?php echo $this->escape(JText::_('JGLOBAL_VALIDATION_FORM_FAILED'));?>');
		}
	}

	function checkDonation(){
		select=document.getElementById('jform_donation');
		if(select.selectedIndex==0){
				//purchase
				document.getElementById('li_don_type').style.cssText = "display:none";
				document.getElementById('li_tax').style.cssText = "display:block";
				document.getElementById('li_amount').style.cssText = "display:block";
				//document.getElementById('li_currency').style.cssText = "display:block";
			
		}else{
			//donation
			document.getElementById('li_don_type').style.cssText = "display:block";
			document.getElementById('li_tax').style.cssText = "display:none";
			if(document.getElementById('jform_don_type0').checked){
				//Not fixed amount
				document.getElementById('li_amount').style.cssText = "display:none";
				//document.getElementById('li_currency').style.cssText = "display:none";
			}else{
				//Fixed amount
				document.getElementById('li_amount').style.cssText = "display:block";
				//document.getElementById('li_currency').style.cssText = "display:block";
			}
		}
	}

    jQuery(document).ready(function () {
        jQuery.each(JSON.parse('<?= $this->item->rtags ?>'), function(i, item) {
            jQuery('input[value="'+ item +'"]').prop('checked', true);
        });

    });
</script>

<form action="<?php echo JRoute::_('index.php?option=com_paiddownloadsjx&layout=edit&id='.(int) $this->item->id); ?>" method="post" enctype="multipart/form-data" name="adminForm" id="file-form" class="form-validate">
    <?php echo JHtml::_('bootstrap.startTabSet', 'myTab', array('active' => 'product_description')); ?>

    <?php echo JHtml::_('bootstrap.addTab', 'myTab', 'product_description', JText::_('COM_PDJX_LEGEND_DESC')); ?>

    <div class="span9">

		<fieldset class="form-horizontal" >
            <div class="control-group">
                <div class="control-label">
                    <?php echo $this->form->getLabel('id'); ?>
                </div>
                <div class="controls">
                    <?php echo $this->form->getInput('id'); ?>
                </div>
            </div>
            <?php echo $this->form->getLabel('created_by'); ?>
            <?php echo $this->form->getInput('created_by'); ?>
            <div class="control-group">
                <div class="control-label">
                    <?php echo $this->form->getLabel('fileid'); ?>
                </div>
                <div class="controls">
                    <?php echo $this->form->getInput('fileid'); ?>
                </div>
            </div>
            <div class="control-group">
                <div class="control-label">
                    <?php echo $this->form->getLabel('version'); ?>
                </div>
                <div class="controls">
                    <?php echo $this->form->getInput('version'); ?>
                </div>
            </div>
            <div class="control-group">
                <div class="control-label">
                    <?php echo $this->form->getLabel('joomla_version'); ?>
                </div>
                <div class="controls">
                    <?php echo $this->form->getInput('joomla_version'); ?>
                </div>
            </div>
            <div class="control-group">
                <div class="control-label">
                    <?php echo $this->form->getLabel('mysql_version'); ?>
                </div>
                <div class="controls">
                    <?php echo $this->form->getInput('mysql_version'); ?>
                </div>
            </div>
            <div class="control-group">
                <div class="control-label">
                    <?php echo $this->form->getLabel('php_version'); ?>
                </div>
                <div class="controls">
                    <?php echo $this->form->getInput('php_version'); ?>
                </div>
            </div>
            <div class="control-group">
                <div class="control-label">
                    <?php echo $this->form->getLabel('infourl'); ?>
                </div>
                <div class="controls">
                    <?php echo $this->form->getInput('infourl'); ?>
                </div>
            </div>
            <div class="control-group">
                <div class="control-label">
                    <?php echo $this->form->getLabel('rtags'); ?>
                </div>
                <div class="controls">
                    <?php echo $this->form->getInput('rtags'); ?>
                </div>
            </div>

<!--            --><?php //echo $this->form->getLabel('meta'); ?>
<!--            --><?php //echo $this->form->getInput('meta'); ?>
<!--            --><?php //echo $this->form->getLabel('description'); ?>
<!--            --><?php //echo $this->form->getInput('description'); ?>
		</fieldset>

    </div>

    <div class="span3">
        <fieldset class="form-vertical">
            <div class="control-group">
                <div class="control-label">
                    <label id="jform_state-lbl" for="jform_state" class="hasPopover" title="" data-content="Defines the status of the location." data-original-title="Status">Status</label>
                </div>
                <div class="controls">
                    <select id="jform_state" name="jform[state]" class="chzn-color-state" size="1">
                        <option value="1" <?= isset($this->old) && $this->old->get('jform.state') == 1 ? 'selected' : '' ?>>Published</option>
                        <option value="0" <?= isset($this->old) && $this->old->get('jform.state') == 0 ? 'selected' : '' ?>>Unpublished</option>
                        <option value="2" <?= isset($this->old) && $this->old->get('jform.state') == 2 ? 'selected' : '' ?>>Archived</option>
                        <option value="-2" <?= isset($this->old) && $this->old->get('jform.state') == -2 ? 'selected' : '' ?>>Trashed</option>
                    </select>
                </div>
            </div>
            <div class="control-group">
                <div class="control-label">
                    <?php echo $this->form->getLabel('download_type'); ?>
                </div>
                <div class="controls">
                    <?php echo $this->form->getInput('download_type'); ?>
                </div>
            </div>
            <div class="control-group">
                <div class="control-label">
                    <?php echo $this->form->getLabel('download_format'); ?>
                </div>
                <div class="controls">
                    <?php echo $this->form->getInput('download_format'); ?>
                </div>
            </div>
        </fieldset>
    </div>

    <?php echo JHtml::_('bootstrap.endTab'); ?>

    <?php echo JHtml::_('bootstrap.addTab', 'myTab', 'file_download_settings', JText::_('COM_PDJX_LEGEND_FILE')); ?>

    <div class="span12">

        <fieldset class="form-horizontal" >

            <div class="control-group">
                <div class="control-label">
                    <?php echo $this->form->getLabel('filename'); ?>
                </div>
                <div class="controls">
                    <?php echo $this->form->getInput('filename'); ?>
                </div>
            </div>

            <div class="control-group">
                <div class="control-label">
                    <label><?php echo JText::_('COM_PDJX_FORM_LBL_FILE_UPLOADFILE'); ?></label>
                </div>
                <div class="controls">
			    	<?php echo $this->form->getInput('upload_file'); ?>
                </div>
            </div>

            <?php if($this->item->filename != ''):?>
                <input type="hidden" name="jform[filename_hidden]" value="<?php echo $this->item->filename; ?>" />
            <?php endif;?>
		</fieldset>

    </div>

    <?php echo JHtml::_('bootstrap.endTab'); ?>

    <?php echo JHtml::_('bootstrap.endTabSet'); ?>

    <script type="text/javascript">
    	document.getElementById('jform_donation').onchange=function(){checkDonation();};
    	document.getElementById('jform_don_type0').onclick=function(){checkDonation();};
    	document.getElementById('jform_don_type1').onclick=function(){checkDonation();};
    	checkDonation();
    </script>
    

	<input type="hidden" name="task" value="" />
	<?php echo JHtml::_('form.token'); ?>
	<div class="clr"></div>

    
</form>