<?php
#-------------------------------------------------------------------------------
# Copyright (c) 2009 Gomilsek-informatika.
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the GNU Public License v2.0
# which accompanies this distribution, and is available at
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
# 
# Contributors:
# 	Gomilsek-informatika  (initial API and implementation)
# Contact:
# 	customers@toolsjx.com
#-------------------------------------------------------------------------------
//allow acces only trough joomla
defined( '_JEXEC' ) or die( 'Restricted access' );

//Ce je v seznamu le ena tabela ali ce je dolocen 'gid', pokaze tabelo, sicer pokaze seznam. 

$showList=false;
$gid;
$list;

if(!isset($_GET['gid'])){
	$query="SELECT * FROM #__grids";
	$db = & JFactory::getDBO();
	$db->setQuery($query);
	$list = $db->loadObjectList();
	if (count($list) == 1){
		$firstRow = $list[0];
		$gid = $firstRow->idGrid;
	}
	else{
		$showList=TRUE;
	}
}
else{
	$gid = $_GET['gid'];
}

if(!$showList){	
	//prikaz komponente
	$document = & JFactory::getDocument();
	$document->addScript('components/com_grid/js/ajax_queue.js' );
	$document->addScript( 'components/com_grid/js/grid.js' );
	$document->addStyleSheet('components/com_grid/css/grid.css');
    $document->addScript("components/com_grid/js/jquery.js");

	require_once(JPATH_ROOT.DS.'components'.DS.'com_grid'.DS.'GridBuilder.php');
	
	$config = new GridConfigManager($gid);
	if(!$config->error){
		switch($config->typejx){
			case 'grid':$builder = new GridView($gid, $config);break;
			case 'card':$builder = new CardView($gid, $config);break;
	        case 'grap':$builder = new GraphView($gid, $config);break;
	        case 'reco':$builder = new RecordView($gid, $config);
		}	
		
		echo $builder->build();		
	}
}
else{
	//prikaz seznama
	$output = '<span class="contentheading componentheadning">List of all tables:</span>';
	
	$output.= '<ul>';
	
	foreach($list as $row){
		$output.='<li><a href="index.php?option=com_grid&gid='.$row->idGrid.'">'.$row->tableCaption.'</a>';	
	}
	$output.='</ul>';
	echo $output;
}
?>
