<?php
#-------------------------------------------------------------------------------
# Copyright (c) 2009 Gomilsek-informatika.
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the GNU Public License v2.0
# which accompanies this distribution, and is available at
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
# 
# Contributors:
# 	Gomilsek-informatika  (initial API and implementation)
# Contact:
# 	customers@toolsjx.com
#-------------------------------------------------------------------------------

class JXHelper
{
	static function createLink($type, $link, $data){
		$output="";
		switch($type){
			case '0':{
				$output = $data;
			}break;
			case '1':{
				$output = '<a href="'.$link.'">'.$data.'</a>';
			}break;
			case '2':{
				$output = '<a href="?option=com_content&view=article&id='.$link.'">'.$data.'</a>';
			}break;
			default:{
				$link = str_replace('@ID', $link, $type);
				$output = '<a href="'.$link.'">'.$data.'</a>';
			}
		}
		return $output;
	}
	
	static function searchForm(GridConfigManager & $config, & $builder, $search_menu, $grid_url){
		$search_form = '<form action="javascript:;" name="asearch_form" onsubmit="searchjx(\''.$grid_url.'\', \''.$builder->_ID.'\')" style="margin:0px;">
		';
		if($config->searchF['display']==1){
			if($config->searchF['advanced']==1){
				//advanced filters
				$search_form .= '<table cellpadding="0" cellspacing="0" border="0">';
				for ($i = 0; $i< count($config->columnCaptions); $i++){
					$search_form .= "<tr><td><strong>".$config->columnCaptions[$i].':<strong>&nbsp;</td><td><input id="ds'.$builder->_ID.'" type="text" name="data_search" size=20 value="'.$builder->searchStr.'" class="input searchData"></td></tr>';
				}
				$search_form .= '</table>';
			}
			else{
				//default search form
				$search_form .='<div style="float:left">'.JText::_('JX_SEARCH').': <select id="sf'.$builder->_ID.'" name="s_f" class="input searchField">'.$search_menu.'</select> <input id="ds'.$builder->_ID.'" type="text" name="data_search" size=20 value="'.$builder->searchStr.'" class="input searchData">
				<input type="submit" name="submit" value="'.JText::_('JX_SEARCH_BTN').'" class="input searchSubmit"></div>';
			}
		}
		if($config->searchF['options']==1){
			//echo "<br>ASO:".$builder->advSearchOption;
			$search_form.= '<div style="float:left;position:relative;">'.JText::_('JX_SEARCH_OPTIONS'). 
			': <select id="aso'.$builder->_ID.'" name="aso" class="input sfCombo">
				\n<option value="default" '; if($builder->advSearchOption == "default")$search_form .='selected'; $search_form .='>'.JText::_('JX_DEFAULT_SEARCH').'</option>
				\n<option value="exact" '; if($builder->advSearchOption == "exact")$search_form .='selected'; $search_form .='>'.JText::_('JX_EXACT_SEARCH').'</option>
				\n<option value="begins" '; if($builder->advSearchOption == "begins")$search_form .='selected'; $search_form .='>'.JText::_('JX_BEGINS_WITH').'</option>
			</select></div>';
		}
		
		if($config->nrRecSelect){
			$search_form.='<div style="float:left;position:relative;">'.JText::_('JX_RECORDS_PER_PAGE').': '.
			'<select id="rpp'.$builder->_ID.'" name="rpp" onchange="searchjx(\''.$grid_url.'\', \''.$builder->_ID.'\')" class="input sfCombo">
			<option value="5" '; if($builder->rpp == 5)$search_form .='selected'; $search_form .='>5</option>
				<option value="10" '; if($builder->rpp == 10)$search_form .='selected'; $search_form .='>10</option>
				<option value="20" '; if($builder->rpp == 20)$search_form .='selected'; $search_form .='>20</option>
				<option value="30" '; if($builder->rpp == 30)$search_form .='selected'; $search_form .='>30</option>
				<option value="50" '; if($builder->rpp == 50)$search_form .='selected'; $search_form .='>50</option>
				<option value="70" '; if($builder->rpp == 70)$search_form .='selected'; $search_form .='>70</option>
				<option value="100" '; if($builder->rpp == 100)$search_form .='selected'; $search_form .='>100</option>	
			</select></div>';
		}
		
		
		
		
		$search_form.='</form>';
		
		if($config->nrRecords){
			$search_form.='</td></tr><tr><td>'.JText::sprintf("JX_RECORDS_PLURAL", $builder->rows);
		}
		
		return $search_form;
	}
}