ALTER TABLE #__pdjx_files ADD COLUMN `maintainerurl` varchar(255) NOT NULL;
ALTER TABLE #__pdjx_files ADD COLUMN `maintainer` varchar(255) NOT NULL;
ALTER TABLE #__pdjx_files ADD COLUMN `element` varchar(255) NOT NULL;
ALTER TABLE #__pdjx_files ADD COLUMN `type` ENUM('component','module','plugin','other','package') NOT NULL;
ALTER TABLE #__pdjx_files ADD COLUMN `version` int(11) NOT NULL DEFAULT '0';
ALTER TABLE #__pdjx_files ADD COLUMN `package_files` TEXT NOT NULL AFTER `type`;


CREATE TABLE IF NOT EXISTS `#__pdjx_versions` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `fileid` int(11) NOT NULL,
  `version` varchar(50) NOT NULL,
  `joomla_version` varchar(50) NOT NULL,
  `mysql_version` varchar(50) NOT NULL,
  `php_version` varchar(50) NOT NULL,
  `infourl` varchar(255) NOT NULL,
  `rtags` text NOT NULL,
  `download_type` enum('full','upgrade') NOT NULL,
  `download_format` enum('zip','tar') NOT NULL,
  `filename` varchar(100) NOT NULL,
  `state` tinyint(1) NOT NULL DEFAULT '1',
  `created_by` int(11) NOT NULL DEFAULT '0',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`)
) DEFAULT COLLATE=utf8_general_ci;