<?php
/**
 * @version     2.5.1
 * @package     com_pdjx
 * @copyright   Copyright (C) 2013. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Tools JX <customers@toolsjx.com> - http://www.toolsjx.com
 */

// no direct access
defined('_JEXEC') or die;

JHtml::_('behavior.tooltip');
JHtml::_('behavior.formvalidation');
JHtml::_('behavior.keepalive');
// Import CSS
$document = JFactory::getDocument();
$document->addStyleSheet('components/com_paiddownloadsjx/assets/css/pdjx.css');
?>
<script type="text/javascript">
	Joomla.submitbutton = function(task)
	{
		if (task == 'file.cancel' || document.formvalidator.isValid(document.id('file-form'))) {
			Joomla.submitform(task, document.getElementById('file-form'));
		}
		else {
			alert('<?php echo $this->escape(JText::_('JGLOBAL_VALIDATION_FORM_FAILED'));?>');
		}
	}

	function checkDonation(){
		select=document.getElementById('jform_donation');
		if(select.selectedIndex==0){
				//purchase
				document.getElementById('li_don_type').style.cssText = "display:none";
				document.getElementById('li_tax').style.cssText = "display:block";
				document.getElementById('li_amount').style.cssText = "display:block";
				//document.getElementById('li_currency').style.cssText = "display:block";
			
		}else{
			//donation
			document.getElementById('li_don_type').style.cssText = "display:block";
			document.getElementById('li_tax').style.cssText = "display:none";
			if(document.getElementById('jform_don_type0').checked){
				//Not fixed amount
				document.getElementById('li_amount').style.cssText = "display:none";
				//document.getElementById('li_currency').style.cssText = "display:none";
			}else{
				//Fixed amount
				document.getElementById('li_amount').style.cssText = "display:block";
				//document.getElementById('li_currency').style.cssText = "display:block";
			}
		}
	}
</script>

<form action="<?php echo JRoute::_('index.php?option=com_paiddownloadsjx&layout=edit&id='.(int) $this->item->id); ?>" method="post" enctype="multipart/form-data" name="adminForm" id="file-form" class="form-validate">
	<div class="span10 form-horizontal">
		<fieldset class="adminform fs-left" ><legend><?php echo JText::_('COM_PDJX_LEGEND_DESC'); ?></legend><div class="control-group"><?php echo $this->form->getLabel('id'); ?>
				<?php echo $this->form->getInput('id'); ?></div>
				<div class="control-group"><?php echo $this->form->getLabel('state'); ?>
				<?php echo $this->form->getInput('state'); ?></div>
				<!-- li><?php echo $this->form->getLabel('created_by'); ?>
				<?php echo $this->form->getInput('created_by'); ?></li -->
				<div class="control-group"><?php echo $this->form->getLabel('itemname'); ?>
				<?php echo $this->form->getInput('itemname'); ?></div>
				<div class="control-group"><?php echo $this->form->getLabel('productid'); ?>
				<?php echo $this->form->getInput('productid'); ?></div>
				<!-- li><?php echo $this->form->getLabel('meta'); ?>
				<?php echo $this->form->getInput('meta'); ?></li -->
				<div class="control-group"><?php echo $this->form->getLabel('url'); ?>
				<?php echo $this->form->getInput('url'); ?></div>
				
				<!-- li><?php echo $this->form->getLabel('description'); ?>
				<div><?php echo $this->form->getInput('description'); ?></div> </li -->
				
		
			    
		</fieldset>
		<fieldset class="adminform fs-left" >
			<legend><?php echo JText::_('COM_PDJX_LEGEND_FILE'); ?></legend>

				<div><?php echo $this->form->getLabel('filename'); ?>
				<?php echo $this->form->getInput('filename'); ?></div>
				
				<div><label><?php echo JText::_('COM_PDJX_FORM_LBL_FILE_UPLOADFILE'); ?></label>				
				<?php echo $this->form->getInput('upload_file'); ?></div>

				<!-- li><?php echo $this->form->getLabel('maxdown'); ?>
				<?php echo $this->form->getInput('maxdown'); ?></li -->
					

				<!-- li><?php echo $this->form->getLabel('url'); ?>
				<?php echo $this->form->getInput('url'); ?></li -->
				
				<!-- li><?php echo $this->form->getLabel('limitdown'); ?>
				<?php echo $this->form->getInput('limitdown'); ?></li -->
				
	
				<?php if($this->item->filename != ''):?>
				  	<input type="hidden" name="jform[filename_hidden]" value="<?php echo $this->item->filename; ?>" />
				<?php endif;?>
		</fieldset>
		<fieldset class="adminform fs-left">
			<legend><?php echo JText::_('COM_PDJX_LEGEND_PRICE'); ?></legend>
				
				<div><?php echo $this->form->getLabel('donation'); ?>
				<?php echo $this->form->getInput('donation'); ?></div>

				<div id="li_don_type"><?php echo $this->form->getLabel('don_type'); ?>
				<?php echo $this->form->getInput('don_type'); ?></div>

				<div id="li_amount"><?php echo $this->form->getLabel('amount'); ?>
				<?php echo $this->form->getInput('amount'); ?></div>
				
				<div id="li_tax"><?php echo $this->form->getLabel('tax'); ?>
				<?php echo $this->form->getInput('taxcalc'); ?>
				<?php echo $this->form->getInput('tax'); ?></div>
				
				<div id="li_currency"><?php echo $this->form->getLabel('currency'); ?>
				<?php echo $this->form->getInput('currency'); ?></div>
				
				<!-- >li><?php echo $this->form->getLabel('minamount'); ?>
				<?php echo $this->form->getInput('minamount'); ?></li -->
				<!-- >li><?php echo $this->form->getLabel('taxcalc'); ?>
				</li -->
			
				<div style="display:none"><?php echo $this->form->getLabel('shipping'); ?>
				<?php echo $this->form->getInput('shipping'); ?></div>


			
		</fieldset>
		<fieldset class="adminform fs-left">
			<legend><?php echo JText::_('COM_PDJX_LEGEND_OTHR'); ?></legend>
			
				<div><?php echo $this->form->getLabel('testmode'); ?>
				<?php echo $this->form->getInput('testmode'); ?></div>
            
		</fieldset>
	</div>
    <script type="text/javascript">
    	document.getElementById('jform_donation').onchange=function(){checkDonation();};
    	document.getElementById('jform_don_type0').onclick=function(){checkDonation();};
    	document.getElementById('jform_don_type1').onclick=function(){checkDonation();};
    	checkDonation();
    </script>
    

	<input type="hidden" name="task" value="" />
	<?php echo JHtml::_('form.token'); ?>
	<div class="clr"></div>

    
</form>