<?php
/**
 * @version     2.5.1
 * @package     com_pdjx
 * @copyright   Copyright (C) 2013. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Tools JX <customers@toolsjx.com> - http://www.toolsjx.com
 */


// no direct access
defined('_JEXEC') or die;

JHtml::_('behavior.tooltip');
JHTML::_('script','system/multiselect.js',false,true);
// Import CSS
$document = JFactory::getDocument();
$document->addStyleSheet('components/com_paiddownloadsjx/assets/css/pdjx.css');

$user	= JFactory::getUser();
$userId	= $user->get('id');
$listOrder	= $this->state->get('list.ordering');
$listDirn	= $this->state->get('list.direction');
$canOrder	= $user->authorise('core.edit.state', 'com_paiddownloadsjx');
$saveOrder	= $listOrder == 'a.ordering';
//echo "<pre>";print_r($this->items);echo "</pre>";
?>

<form action="<?php echo JRoute::_('index.php?option=com_paiddownloadsjx&view=transactions'); ?>" method="post" name="adminForm" id="adminForm">
	<fieldset id="filter-bar" class="btn-toolbar">
		<div class="filter-search btn-group pull-left">
			<label class="element-invisible" for="filter_search"><?php echo JText::_('JSEARCH_FILTER_LABEL'); ?></label>
			<input type="text" name="filter_search" id="filter_search" value="<?php echo $this->escape($this->state->get('filter.search')); ?>" title="<?php echo JText::_('Search'); ?>" />
		</div>
		<div class="btn-group hidden-phone pull-left">
			<button class="btn tip hasTooltip" type="submit" title="<?php echo JText::_('JSEARCH_FILTER_SUBMIT'); ?>"><i class="icon-search"></i></button>
			<button class="btn tip hasTooltip" type="button" onclick="document.id('filter_search').value='';this.form.submit();" title="<?php echo JText::_('JSEARCH_FILTER_CLEAR'); ?>"><i class="icon-remove"></i></button>
		</div>

	</fieldset>
	<div class="clr"> </div>

	<table class="table table-striped">
		<thead>
			<tr>
				<th width="1%" class="hidden-phone">
						<input type="checkbox" name="checkall-toggle" value="" title="<?php echo JText::_('JGLOBAL_CHECK_ALL'); ?>" onclick="Joomla.checkAll(this)" />
				</th>

				
				<th class='left'>
				<?php echo JHtml::_('grid.sort',  'COM_PDJX_TX_TX', 'a.txn_id', $listDirn, $listOrder); ?>
				</th >
				<th class='left'>
				<?php echo JHtml::_('grid.sort',  'COM_PDJX_FILES_ITEMNAME', 'p.itemname', $listDirn, $listOrder); ?>
				</th>
				<th class='left'>
				<?php echo JHtml::_('grid.sort',  'COM_PDJX_FILES_PRODUCTID', 'p.productid', $listDirn, $listOrder); ?>
				</th>
				<th class='left'>
				<?php echo JHtml::_('grid.sort',  'COM_PDJX_TX_ITEM_ID', 'a.item_number', $listDirn, $listOrder); ?>
				</th>
				<th class='left'>
				<?php echo JHtml::_('grid.sort',  'COM_PDJX_TX_DATE', 'a.payment_date', $listDirn, $listOrder); ?>
				</th>
				<th class='left'>
				<?php echo JHtml::_('grid.sort',  'COM_PDJX_TX_NAME', 'a.last_name', $listDirn, $listOrder); ?>
				</th>
				<th class='left'>
				<?php echo JHtml::_('grid.sort',  'COM_PDJX_TX_EMAIL', 'a.payer_email', $listDirn, $listOrder); ?>
				</th>
				<th class='left'>
				<?php echo JHtml::_('grid.sort',  'COM_PDJX_COUNTRY', 'c.country', $listDirn, $listOrder); ?>
				</th>
				<th class='left'>
				<?php echo JHtml::_('grid.sort',  'COM_PDJX_TX_IP', 'a.ip', $listDirn, $listOrder); ?>
				</th>
				<th class='left'>
				<?php echo JHtml::_('grid.sort',  'COM_PDJX_TX_PRICE', 'a.mc_gross', $listDirn, $listOrder); ?>
				</th >
				<th class='left'>
				<?php echo JHtml::_('grid.sort',  'COM_PDJX_TX_TAX', 'a.tax', $listDirn, $listOrder); ?>
				</th >
				<th class='left'>
				<?php echo JHtml::_('grid.sort',  'COM_PDJX_TX_FEE', 'a.mc_fee', $listDirn, $listOrder); ?>
				</th >
				<th class='left'>
				<?php echo JHtml::_('grid.sort',  'COM_PDJX_TX_DWNL', 'a.dwnl', $listDirn, $listOrder); ?>
				</th >

                <th class='left'>
				<?php echo JHtml::_('grid.sort',  'COM_PDJX_USER', 'u.username', $listDirn, $listOrder); ?>
				</th >
				
                <th class='left'>
				<?php echo JHtml::_('grid.sort',  'COM_PDJX_SERVICE', 'a.service', $listDirn, $listOrder); ?>
				</th >
                
                <th width="1%" class="nowrap">
                    <?php echo JHtml::_('grid.sort',  'JGRID_HEADING_ID', 'a.id', $listDirn, $listOrder); ?>
                </th>
                
			</tr>
		</thead>
		<tfoot>
			<tr>
				<td colspan="10">
					<?php echo $this->pagination->getListFooter(); ?>
				</td>
			</tr>
		</tfoot>
		<tbody>
		<?php foreach ($this->items as $i => $item) :
//			$ordering	= ($listOrder == 'a.ordering');
//			$canCreate	= $user->authorise('core.create',		'com_paiddownloadsjx');
//			$canEdit	= $user->authorise('core.edit',			'com_paiddownloadsjx');
//			$canCheckin	= $user->authorise('core.manage',		'com_paiddownloadsjx');
//			$canChange	= $user->authorise('core.edit.state',	'com_paiddownloadsjx');
//			$link = JRoute::_('index.php?option=com_paiddownloadsjx&task=file.edit&id='.$item->id);
			//echo "<pre>";print_r($item);echo "</pre>";
			?>
			<tr class="row<?php echo $i % 2; ?>">
				<td class="nowrap center">
					<?php echo JHtml::_('grid.id', $i, $item->id); ?>
				</td>
				<td class="nowrap center">
					<?php echo $item->txn_id; ?>
				</td>
				<td class="nowrap center">
					<?php echo $item->itemname; ?>
				</td>
				<td class="nowrap center">
					<?php echo $item->productid; ?>
				</td >
				<td class="nowrap center">
					<?php echo $item->item_number; ?>
				</td >
				<td>
					<?php echo date("Y-m-d H:i", $item->payment_date); ?>
				</td >
				<td class="nowrap center">
					<?php echo $item->last_name; ?> <?php echo $item->first_name; ?>
				</td >
				<td class="nowrap center">
					<?php echo $item->payer_email; ?>
						
				</td >
				<td>
					<?php echo $item->country; ?>
						
				</td >
				<td>
					<?php echo $item->ip; ?>
				</td >
				<td class="nowrap center">
					<?php echo $item->mc_gross; ?>
				</td >
				<td class="nowrap center">
					<?php echo $item->tax; ?>
				</td >
				<td class="nowrap center">
					<?php echo $item->mc_fee; ?>
				</td >
				<td class="nowrap center">
					<?php echo $item->dwnl; ?>
				</td >
				<td class="center">
					<?php echo $item->username; ?>
				</td>
				<td class="center">
					<?php echo $item->service; ?>
				</td>
				<td class="center">
					<?php echo (int) $item->id; ?>
				</td>
			</tr>
			<?php endforeach; ?>
		</tbody>
	</table>

	<div>
		<input type="hidden" name="task" value="" />
		<input type="hidden" name="boxchecked" value="0" />
		<input type="hidden" name="filter_order" value="<?php echo $listOrder; ?>" />
		<input type="hidden" name="filter_order_Dir" value="<?php echo $listDirn; ?>" />
		<?php echo JHtml::_('form.token'); ?>
	</div>
</form>