<?php
/**
 * @version     2.5.1
 * @package     com_pdjx
 * @copyright   Copyright (C) 2013. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Tools JX <customers@toolsjx.com> - http://www.toolsjx.com
 */

// no direct access
defined('_JEXEC') or die;
//Load admin language file
require_once(JPATH_SITE."/components/com_paiddownloadsjx/controllers/file.php");
$ctrl = new PaiddownloadsjxControllerFile();
$lang = JFactory::getLanguage();
$lang->load('com_paiddownloadsjx', JPATH_ADMINISTRATOR);

?>

<?php if ($this->params->get('show_page_heading', 1)) : ?>
	<h1>
		<?php echo $this->escape($this->params->get('page_heading')); ?>
	</h1>
<?php endif; ?>

<?php foreach ($this->items as $item) :?>
    <div class="container download-item"
         style="padding: 20px; margin-top:20px; background-color: #F1F7FA; border-radius: 7px;">
        <div class="row">
            <div class="col-sm-10">
                <h4><a href="<?php echo $item->url; ?>"><?= $item->itemname; ?></a></h4>
                <?php echo $item->description ?>
                <div class="download-meta">
                    <span style="border-right: 1px solid #e5e5e5; padding-right: 10px;"><b>Version: </b><?= $item->version ?></span>
                    <span style="padding-left: 7px;"><b>Downloads: </b><?= $item->downl ?></span>
                </div>
            </div>

            <div class="col-sm-2" style="line-height: 7em; text-align: -webkit-center;">
                <?php if ($item->tx_id || $item->donation): ?>
                    <a href="index.php?option=com_paiddownloadsjx&task=download&tmpl=component&id=<?php echo $item->id; ?>"
                       class="btn btn-primary btn-xs"
                       style="vertical-align: middle"><?php echo JText::_('COM_PDJX_DOWNLOAD'); ?></a>
                <?php else: ?>
                    <?php echo $ctrl->getButton($item->id); ?>
                <?php endif; ?>
            </div>
        </div>
    </div>
<?php endforeach; ?>
