<?php
/**
 * @version     2.5.1
 * @package     com_grid
 * @copyright   Copyright (C) 2013. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Tools JX <customers@toolsjx.com> - http://www.toolsjx.com
 */
//allow acces only trough joomla
defined( '_JEXEC' ) or die( 'Restricted access' );

//Ce je v seznamu le ena tabela ali ce je dolocen 'gid', pokaze tabelo, sicer pokaze seznam. 

$showList=false;
$gid;
$list;

if(!isset($_GET['gid'])){
	$query="SELECT * FROM #__grids";
	$db = JFactory::getDBO();
	$db->setQuery($query);
	$list = $db->loadObjectList();
	if (count($list) == 1){
		$firstRow = $list[0];
		$gid = $firstRow->idGrid;
	}
	else{
		$showList=TRUE;
	}
}
else{
	$gid = $_GET['gid'];
}

if(!$showList){	
	//prikaz komponente
	$document = JFactory::getDocument();
	$document->addScript( JUri::root().'components/com_grid/js/ajax_queue.js' );
	$document->addScript( JUri::root().'components/com_grid/js/grid.js' );
	$document->addScript( JUri::root().'components/com_grid/js/jquery.min.js' );
	$document->addStyleSheet(JUri::root().'components/com_grid/css/grid.css');

	require_once(JPATH_ROOT.'/components'.'/com_grid'.'/GridBuilder.php');
	
	$config = new GridConfigManager($gid);
	if(!$config->error){
		switch($config->typejx){
			case 'grid':$builder = new GridView($gid, $config);break;
			case 'card':$builder = new CardView($gid, $config);break;
	        case 'grap':$builder = new GraphView($gid, $config);break;
	        case 'reco':$builder = new RecordView($gid, $config);
		}	
		
		echo $builder->build();		
	}
}
else{
	//prikaz seznama
	$output = '<span class="contentheading componentheadning">List of all tables:</span>';
	
	$output.= '<ul>';
	
	foreach($list as $row){
		$output.='<li><a href="index.php?option=com_grid&gid='.$row->idGrid.'">'.$row->tableCaption.'</a>';	
	}
	$output.='</ul>';
	echo $output;
}
?>
