<?php
#-------------------------------------------------------------------------------
# Copyright (c) 2009 Gomilsek-informatika.
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the GNU Public License v2.0
# which accompanies this distribution, and is available at
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
#
# Contributors:
# 	Gomilsek-informatika  (initial API and implementation)
# Contact:
# 	customers@toolsjx.com
#-------------------------------------------------------------------------------
// No direct access.
defined('_JEXEC') or die;

class pkg_sjxlocationsInstallerScript
{
    /** @var \Joomla\CMS\Application\CMSApplication  */
    private $app;
    /** @var JDatabaseDriver  */
    private $db;

    public function __construct() {
        $this->app = JFactory::getApplication();
        $this->db = JFactory::getDBO();
    }

    public function uninstall($parent) {
        if (!JComponentHelper::isInstalled('com_sjxgalleries')) {
            $this->protectBaseComponent(false);
        }
    }

    function postflight($type, $parent) {
        $this->updateClientId('pkg_sjxlocations', 1);

        if (JComponentHelper::isInstalled('com_sjxgalleries')) {
            $this->protectBaseComponent();
        }
    }

    private function protectBaseComponent($protect = true) {
        $protect = $protect ? 1 : 0;
        $this->db->setQuery("UPDATE #__extensions SET `package_id` = 0, `protected`= {$protect} WHERE `element` = 'com_sjxbase'");

        return $this->db->execute();
    }

    private function updateClientId($element, $clientId) {
        $this->db->setQuery("UPDATE #__extensions SET `client_id` = '{$clientId}' WHERE `element` = '{$element}'");

        return $this->db->execute();
    }
}
